$( document ).ready(function() {


	setTimeout( function(){ 
	
	
		// Expand current selected page in tree-view
		
		
		
		if(!$("#nav-tree .item#selected").siblings("ul").is(':visible')) 
			$("#nav-tree .item#selected a:first").click();
		
		
		
		
		
		
		
		
		
		
		// Draft for Previos/Next buttons
		
		var exclude = ["Packages","Classes","Files"];
		
		var create_links = true;
		var top_ul = $("#nav-tree-contents ul.children_ul:first");		
		console.log(top_ul);	
		
		var back_ul = $("#nav-tree .item#selected");
		while(back_ul.length > 0)
		{
			back_ul = back_ul.parent().closest("ul");
					
			
			
			if(back_ul.length == 0 || back_ul.parent().closest("ul").is(top_ul)) break;
			
		}
		
		if(back_ul.length > 0)
		{
			var sec = back_ul.parent().find(".label:first a").text();	
			
			if(exclude.indexOf(sec) != -1) 	create_links = false;
			
		}
		
		
		if(create_links)
		{
			
			
			var prev_link = null;
			var next_link = null;
			var deep_link = null;
			
			if($("#nav-tree .item#selected").siblings("ul").length)
			{
				deep_link = $("#nav-tree .item#selected").siblings("ul").find("li:first .item");	

				if(deep_link.find('a[href="index.html"]').length) 
				{
					deep_link = deep_link.closest('li').next("li").find(".item");
				}
				
			}//else 
			
			{
				next_link = $("#nav-tree .item#selected").parent().next("li").find(".item");
				
				if(!next_link.length)
				{
					
					var parent_ul = $("#nav-tree .item#selected");
					var ct = 5;
					while(parent_ul.length > 0 && --ct > 0)
					{
						parent_ul = parent_ul.closest("ul.children_ul");
						
						next_link = parent_ul.parent().next('li');
						
						if(next_link.length) break;
						
					}
					
					
				}
			}
			
			prev_link = $("#nav-tree .item#selected").parent().prev("li").find(".item");
			if(prev_link.length)
			{
				/* Не существует пока ветки пока не нажмёшь
				//console.log(prev_link);
				if(prev_link.siblings("ul").length)
				{
					prev_link = prev_link.siblings("ul").find("li:first .item");	
				}
				*/
			}else
			{
				prev_link = $("#nav-tree .item#selected").closest("ul").siblings(".item");
			}
			
			
			
			var cont;
			$("#doc-content .contents").append(cont = $("<div class='article-navs'></div>"));	 
			var css_links_base = ''; // 'padding: 10px; margin: 40px 5px 20px; background: #eee; ';
			var css_left = css_links_base + 'float: left;';	
			var css_right = css_links_base + ' float: right;';	
			
			
			if(prev_link && prev_link.length)
			{				
				var name = "&lt; <b>Назад</b>: " + prev_link.find(".label a").text() + "";
				var l = $("<a class='article-nav-btn' href='#prev' style='"+css_left+"'>"+name+"</a>").on('click',function(){	prev_link.find('.label a')[0].click(); return false;	});		
				cont.append(l);
			} 
			
			if(deep_link && deep_link.length)
			{				
				var name = "<b>Подробнее</b>: " + deep_link.find(".label a").text() + " &gt;";
				var l = $("<a class='article-nav-btn' href='#next' style='"+css_right+"'>"+name+"</a>").on('click',function(){	deep_link.find('.label a')[0].click(); return false;});		
				cont.append(l);
			}
			
			
			if(next_link && next_link.length)
			{				
				var name = "<b>Далее</b>: " + next_link.find(".label a").text() + " &gt;";
				var l = $("<a class='article-nav-btn' href='#next' style='"+css_right+"'>"+name+"</a>").on('click',function(){	next_link.find('.label a')[0].click(); return false;});		
				cont.append(l);
			}
			
		}
		
		
		
		
		
		
	} , 150);
	
  document.body.onload = FixingContent;

  function FixingContent() {
	
	var labelContent = CreateLabelContent();
	var checkboxContent = CreateCheckboxContent();	
	
	checkboxContent.appendChild(labelContent);

	AddCollapseContent(checkboxContent, labelContent);
	
	ChangeHeaderContent();
  }
  
  function CreateLabelContent(){
	  	var labelContent = document.createElement('label');
		labelContent.innerHTML = "Свернуть";
		
		return labelContent;
  }
  
  function CreateCheckboxContent(){
		var checkboxContent = document.createElement("input");
		checkboxContent.type = "checkbox";
		checkboxContent.id = "CheckboxContent";
		
		checkboxContent.onchange = ChangeCheckboxContent;
		
		return checkboxContent;
  }
  
  function ChangeCheckboxContent(){
		var checkboxContent = document.getElementById("CheckboxContent");  
		
		if(checkboxContent.checked){
			document.getElementsByClassName("toc")[0].style.height = "7.5%";				
		} else {
			document.getElementsByClassName("toc")[0].style.height = "80%";
		}
  }  

  
  function AddCollapseContent(label, checkbox){	  
		var tocContainer = document.getElementsByClassName("toc")[0];
		tocContainer.insertBefore(label, tocContainer.firstChild);
		tocContainer.insertBefore(checkbox, tocContainer.firstChild);
  }
  
  function ChangeHeaderContent(){
	  	var h3Elem = document.querySelector(".toc > h3");
		h3Elem.innerText  = "Содержание";
  }	
	
});
